
QGIS Application - Bug report #958

wrong cursor after quiting edit mode

2008-02-22 01:52 AM - sieczka -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11017

Description

1. add a vector layer

2. toggle edit on

3. select some editing tool

4. toggle edit off

The cursor remains for the last selected edit tool, although editing is disabled - confusing. If the last tool selected before quitting the edit

mode is an edit tool, the cursor should be reset to what it was before entering the edit mode; propably by activating back the tool that was

in use before toggling edit on.

As it currently is, a novice user happens to be not sure if he really quit the edit mode, since his cursor is the same as it was when he was

editing (folks who I teach QGIS have this problem). BTW - I suggest to change cursor's color too for edit tools, eg. to red, to make the

distinction even clearer.

QGIS 0.9.2 SVN r8171, QT 4.3.2.

Associated revisions

Revision 51305577 - 2008-06-18 07:26 PM - Jürgen Fischer

fix #958

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8656 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision aff0f869 - 2008-06-18 07:26 PM - Jürgen Fischer

fix #958

git-svn-id: http://svn.osgeo.org/qgis/trunk@8656 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 443ed473 - 2008-06-23 06:45 PM - Jürgen Fischer

fix #958 - again

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8674 c8812cc2-4d05-0410-92ff-de0c093fc19c
Revision 7727bd5b - 2008-06-23 06:45 PM - Jürgen Fischer

fix #958 - again

git-svn-id: http://svn.osgeo.org/qgis/trunk@8674 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-04 12:40 PM - Maciej Sieczka -

This bug has further consequences:

1. toggle edit on for a line or polygon layer

2. start digitizing a segment, don't finish it

3. toggle edit off

You end up with a mixture of digitizing mode turned off and on, with all it's implications including confusion and possible data loss.

Still present in .

#2 - 2008-04-16 08:46 AM - Maciej Sieczka -

Still valid as of commit:b5286872 (SVN r8353).

#3 - 2008-06-18 10:26 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in

#4 - 2008-06-23 08:31 AM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Replying to [comment:4 jef]:

fixed in

Not completely. Still:

1. start qgis

2. don't select any tool
3. add a shapefile (eg. polygon)

4. select "add polygon" tool

5. toggle editing off

The cursor remains like it was in the editing mode.

#5 - 2008-06-23 10:00 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

partly broken again with commit:5e58eb57 (SVN r8666) (initial tool was missed), fixed again in commit:7727bd5b (SVN r8675)

#6 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.10.0 deleted
